CHGRP(1)

NOMBRE
chgrp - cambia el grupo de pertenencia de archivos y directorios

SINOPSIS
chgrp [OPCIÓN]... GRUPO ARCHIVO...
chgrp [OPCIÓN]... --reference=R-ARCHIVO ARCHIVO...

DESCRIPCIÓN

Cambia el grupo de cada ARCHIVO a GRUPO. Si añade --reference, cambiará el grupo de cada ARCHIVO al del R-ARCHIVO.

-c, --changes
    como `verbose' pero informa solo si se hizo algún cambio

-f, --silent, --quiet
    suprime la mayoría de los mensajes de error

-v, --verbose
    muestra un mensaje por cada archivo procesado

--dereference
    afecta al referente de cada enlace simbólico (esta es la opción predeterminada), en lugar de al propio enlace simbólico

-h, --no-dereference
    afecta a los enlaces simbólicos en vez de a cualquier archivo al que apunten (solo es útil en sistemas donde es posible modificar el dueño de un enlace simbólico).

--no-preserve-root
    no trata '/' de forma especial (predeterminado)

--preserve-root
    no opera recursivamente sobre '/'

--reference=R-ARCHIVO
    utiliza el grupo de R-ARCHIVO en lugar de especificar un valor para GRUPO

-R, --recursive
    opera sobre archivos y directorios recursivamente

Las siguientes opciones modifican cómo se atraviesa una jerarquía cuando se especifica también la opción -R. Si se especifica más de una, solamente tiene efecto la última.

-H  si un argumento de la línea de órdenes es un enlace simbólico a un directorio, lo atraviesa

-L  atraviesa cualquier enlace simbólico a un directorio que se encuentre

-P  no atraviesa ningún enlace simbólico (predeterminado)

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

EJEMPLOS

chgrp personal /u
    Cambia el grupo de /u a "personal".

chgrp -hR personal /u
    Cambia el grupo de /u y de los archivos que contiene a "personal".

AUTOR
Escrito por David MacKenzie y Jim Meyering.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
chown(1), chown(2)

Documentación completa: <https://www.gnu.org/software/coreutils/chgrp>
también puede acceder de forma local ejecutando: info '(coreutils) chgrp invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es>, Juan Piernas <piernas@ditec.um.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.